%define name libgd
%define version 1.3
%define release 1mdk

Summary:   GIF manipulating library
Name:      %{name}
Version:   %{version}
Release:   %{release}
URL:       http://www.boutell.com/gd/
Source:    gd%{version}.tar.bz2
Patch:     gd-shared.patch.bz2
Copyright: BSD-style
Group:     Graphics
BuildRoot: /var/tmp/%{name}-buildroot

%description
This is the gd gif-manipulating library. It was created to allow graphs,
charts and the like to be generated on the fly for use on the World wide Web,
but is useful for any application in which custom .GIFs are useful. It is not
a paint program; it is a library.

%package devel
Summary:  header files and libraries needed for gd development
Group:    Graphics
Requires: libgd = %{version}

%description devel
This package includes the header files and libraries needed for
developing programs using gd.

%prep
%setup -q -n gd%{version}

%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" make all libgd.a

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/{bin,lib,include}
install -m 755 webgif giftogd $RPM_BUILD_ROOT/usr/bin
install -m 644 *.h $RPM_BUILD_ROOT/usr/include
install -m 644 libgd.a $RPM_BUILD_ROOT/usr/lib
install -m 755 libgd.so.%{version} $RPM_BUILD_ROOT/usr/lib
ln -sf libgd.so.%{version} $RPM_BUILD_ROOT/usr/lib/libgd.so

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc index.html readme.txt
/usr/bin/*
/usr/lib/lib*.so.*.*

%files devel
%defattr(-,root,root)
/usr/lib/lib*.a
/usr/lib/lib*.so
/usr/include/*

%changelog
* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3-1mdk
- mandrake adaptations
- useful to build mrtg

* Wed Jan 27 1999 Henri Gomez <gomez@slib.fr>
  [1.3-4]
- modified to allow src building on system without gd !!!

* Thu Dec 10 1998 Arne Coucheron <arneco@online.no>
  [1.3-3]
- some changes in the shared patch

* Sat May 30 1998 Arne Coucheron <arneco@online.no>
  [1.3-2]
- libgd.so is chmod 755 again
- added -q parameter to %setup
- using %%version instead of %%{PACKAGE_VERSION}
- using %defattr macro in filelist

* Sat May 09 1998 Arne Coucheron <arneco@online.no>
  [1.3-1]
- using predefined %%{PACKAGE_VERSION}
- added striping of the library
- made libgd.so chmod 644

* Mon Apr 20 1998 Arne Coucheron <arneco@online.no>
  [1.2-1]
- cleanups to spec file
- added webgif and giftogd binaries
- added a patch to make shared libraries
- splitted the package into a main and devel package
- changed package name to libgd to avoid name collision with another package
